Bug 5467 - kdenetwork-1.1.2-4/kppp
kdenetwork-1.1.2-4/kppp
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kdenetwork (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-10-01 10:40 EDT by gerald
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-10-05 15:46:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gerald 1999-10-01 10:40:21 EDT
kppp will not work for regular users unless root is
allowed to send a window to the display, i.e.,
I have to say "xhost +localhost" in order to start kppp.

I like the original kppp access restriction vie /etc/kppp
better.
Comment 1 Preston Brown 1999-10-05 15:46:59 EDT
making kppp suid root is a potential security hole, especially as one
can script programs to be started arbitrarily during the login phase.
'su' can be used to become root before starting kppp, or if you have
the latest pam and consolehelper packages, this should all be
automatic.

Note You need to log in before you can comment on or make changes to this bug.